/** When your routing table is too long, you can split it into small modules**/

import Layout from '@/layout'

const prodRouter = {
  path: '/prod',
  component: Layout,
  redirect: '/prod/page',
  // alwaysShow: true, // will always show the root menu
  name: 'Prod',
  meta: {
    title: 'prods.prod_menu', // 会自动被i18n替换
    icon: 'star',
    roles: ['admin', 'assistant', 'runner', 'shoper'] // you can set roles in root nav
  },
  children: [{
    path: 'list',
    component: () => import('@/views/prod/list'),
    name: 'prodList',
    meta: {
      title: 'prods.prodlist',
      roles: ['admin', 'assistant', 'shoper', 'runner']
    }
  }]
}

export default prodRouter
